Retrieves all the user_skill_list objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "4177c5c1-dcaf-4f36-b774-8ce1332628a4",
  "user_id": "1bd03860-891d-463d-a9cb-1c2442b1fcdc",
  "user_code": "sample string 3",
  "user": {
    "id": "f62dda76-de84-4ff1-b8e0-3c80e56a9d4e",
    "db_language_id": "eea7568a-5c83-405c-8630-1ed695f2e8d5",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-08T16:01:09.8750729+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "255ac676-861e-484f-8a5f-cdf0e1ce4381",
    "sales_organization": {
      "id": "3b44c685-c418-4e17-8435-9cae3c3d031b",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "24bb109a-1a76-4850-9fd0-541906d69d25",
      "db_currency_id": "080c0741-ac9b-451e-b897-6c0a9e014549",
      "db_language_id": "6950f6ab-974f-4570-82ef-6ff558e910a7",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-08T16:01:09.8750729+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "0d519352-bf9d-4859-aef9-2772bffb0f5a",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "2885e867-7258-4c8c-991e-4d6f1e57e58d",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-08T16:01:09.8750729+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "f2eca3e9-ef82-4f8f-9b31-192f6c6c84b1"
  },
  "skill_id": "660b70f5-1f9c-46b6-83d5-130df50b320f",
  "skill_code": "sample string 5",
  "skill": {
    "id": "e0d00afb-4064-4c0f-9c78-321c52a90d54",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "3741a628-29cb-4708-93f7-a0320ad50941",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "3b44c685-c418-4e17-8435-9cae3c3d031b",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "24bb109a-1a76-4850-9fd0-541906d69d25",
      "db_currency_id": "080c0741-ac9b-451e-b897-6c0a9e014549",
      "db_language_id": "6950f6ab-974f-4570-82ef-6ff558e910a7",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-08T16:01:09.8750729+00:00"
    },
    "modified_dateutc": "2026-10-08T16:01:09.8750729+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-10-08T16:01:09.8750729+00:00"
}